package emps.nieobiektowo;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public class P3_SredniaPensja {

	public static void main(String[] args) {
		try(Scanner scanner = new Scanner(new File("emps.csv"))) {
			// wczytuję pierwsza linię, aby ją zignorować , bo tam są nagłówki kolumn
			scanner.nextLine();
			
			int suma = 0;
			int ile = 0;
			while(scanner.hasNextLine()) {
				String linia = scanner.nextLine();
				String[] t = linia.split(";");
				suma += Integer.parseInt(t[4]);
				ile++;
			}
			double srednia = (double)suma / ile;
			System.out.println("suma: " + suma);
			System.out.println("średnia: " + srednia);
			System.out.printf("suma: %d, ilość: %d, średnia: %.2f\n", suma, ile, srednia);
			
			long sredniaWCentach = Math.round(srednia * 100);
			System.out.println("średnia to " + (sredniaWCentach / 100)
					+ " dolarów i " + (sredniaWCentach % 100) + " centów");
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}
}
